Bug 1311949 (CVE-2016-0791) - CVE-2016-0791 jenkins: Non-constant time comparison of CSRF crumbs (SECURITY-245)
Summary: CVE-2016-0791 jenkins: Non-constant time comparison of CSRF crumbs (SECURITY-...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0791
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1311951 1311952 1320309 1324676 1324677
Blocks: 1320308 1324911
TreeView+ depends on / blocked
 
Reported: 2016-02-25 11:31 UTC by Andrej Nemec
Modified: 2019-09-29 13:45 UTC (History)
15 users (show)

Fixed In Version: Jenkins 1.650, Jenkins 1.642.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 23:28:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0711 normal SHIPPED_LIVE Important: jenkins security update 2016-05-03 19:30:17 UTC
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 23:41:18 UTC

Description Andrej Nemec 2016-02-25 11:31:18 UTC
The following flaw was found in Jenkins:

The verification of user-provided CSRF crumbs with the expected value did not use a constant-time comparison algorithm, potentially allowing attackers to use statistical methods to determine valid CSRF crumbs using brute-force methods.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-02-24

Comment 3 errata-xmlrpc 2016-05-03 15:32:17 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:0711 https://access.redhat.com/errata/RHSA-2016:0711

Comment 4 errata-xmlrpc 2016-08-24 19:44:57 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:1773 https://rhn.redhat.com/errata/RHSA-2016-1773.html


Note You need to log in before you can comment on or make changes to this bug.